%if 0%{?rhel}
%global with_enca 0
%global with_libcue 0
%global with_rss 0
%else
%global with_enca 1
%global with_libcue 1
%global with_rss 1
%endif

%global tracker_version 3.3.0.alpha
%global githash 58f9db44f9f1acad8df37dd2c8e694ff6768400c

%global systemd_units tracker-extract.service tracker-miner-fs.service tracker-miner-rss.service tracker-writeback.service

# Exclude private libraries from autogenerated provides and requires
%global __provides_exclude_from ^%{_libdir}/tracker-miners-3.0/
%global __requires_exclude ^(libtracker-miner-.*\.so|libtracker-extract\.so|libtracker-miners-common\.so|libextract-.*\.so|libwriteback-.*\.so)

Name:           tracker-miners
Version:        3.3.0.alpha
Release:        2%{?dist}
Summary:        Tracker miners and metadata extractors

# libtracker-extract is LGPLv2+; the miners are a mix of GPLv2+ and LGPLv2+ code
License:        GPLv2+ and LGPLv2+
URL:            https://gnome.pages.gitlab.gnome.org/tracker
Source0:        https://gitlab.gnome.org/GNOME/tracker-miners/-/archive/%{githash}/tracker-miners-master.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  asciidoc
BuildRequires:  gcc
BuildRequires:  giflib-devel
BuildRequires:  meson
BuildRequires:  systemd
BuildRequires:  pkgconfig(dbus-1)
%if 0%{?with_enca}
BuildRequires:  pkgconfig(enca)
%endif
BuildRequires:  pkgconfig(exempi-2.0)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(gexiv2)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gstreamer-tag-1.0)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(icu-uc)
%if 0%{?with_libcue}
BuildRequires:  pkgconfig(libcue)
%endif
BuildRequires:  pkgconfig(libexif)
%if 0%{?with_rss}
BuildRequires:  pkgconfig(libgrss)
%endif
BuildRequires:  pkgconfig(libgsf-1)
BuildRequires:  pkgconfig(libgxps)
BuildRequires:  pkgconfig(libiptcdata)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libnm)
BuildRequires:  pkgconfig(libosinfo-1.0)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libseccomp)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(poppler-glib)
BuildRequires:  pkgconfig(totem-plparser)
BuildRequires:  pkgconfig(tracker-sparql-3.0) >= %{tracker_version}
BuildRequires:  pkgconfig(upower-glib)
BuildRequires:  pkgconfig(vorbisfile)

%{?systemd_requires}

# renamed in F34
Obsoletes:      tracker3-miners < 3.1.0~rc-2
Conflicts:      tracker3-miners < 3.1.0~rc-2
Provides:       tracker3-miners = %{version}-%{release}
Provides:       tracker3-miners%{?_isa} = %{version}-%{release}

Requires:       tracker%{?_isa} >= %{tracker_version}

%description
Tracker is a powerful desktop-neutral first class object database,
tag/metadata database and search tool.

This package contains various miners and metadata extractors for tracker.


%prep
%autosetup -n tracker-miners-%{githash}


%build
%meson \
  --buildtype=debugoptimized \
%if ! 0%{?with_libcue}
  -Dcue=disabled \
%endif
%if ! 0%{?with_rss}
  -Dminer_rss=false \
%endif
  -Dsystemd_user_services_dir=%{_userunitdir}
%meson_build


%install
%meson_install

rm -rf %{buildroot}%{_datadir}/tracker-tests

ln -sf ../../dbus-1/services/org.freedesktop.Tracker3.Miner.Extract.service %{buildroot}%{_datadir}/tracker3-miners/miners/org.freedesktop.Tracker3.Miner.Extract.service
ln -sf ../../dbus-1/services/org.freedesktop.Tracker3.Miner.Files.service %{buildroot}%{_datadir}/tracker3-miners/miners/org.freedesktop.Tracker3.Miner.Extract.service
ln -sf ../../dbus-1/services/org.freedesktop.Tracker3.Miner.RSS.service %{buildroot}%{_datadir}/tracker3-miners/miners/org.freedesktop.Tracker3.Miner.Extract.service

%find_lang tracker3-miners


%post
%systemd_user_post %{systemd_units}

%preun
%systemd_user_preun %{systemd_units}

%postun
%systemd_user_postun_with_restart %{systemd_units}


%files -f tracker3-miners.lang
%license COPYING
%doc AUTHORS NEWS README.md
%{_libdir}/tracker-miners-3.0/
%{_libexecdir}/tracker*
%{_datadir}/dbus-1/interfaces/org.freedesktop.Tracker3*
%{_datadir}/dbus-1/services/org.freedesktop.Tracker3*
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/tracker3-miners/
%{_mandir}/man1/tracker*.1*
%config(noreplace) %{_sysconfdir}/xdg/autostart/tracker*.desktop
%{_userunitdir}/tracker*.service


%changelog
* Wed Jun 17 2020 Sam Thursfield <sam@afuera.me.uk> - 2.9.9-git
Initial unofficial packaging for Tracker Miners 3.
